GemFireProperties (Apache Geode 1.13.2)
Date: 2021-03-08

org.apache.geode.management

## Class GemFireProperties

- java.lang.Object
- - org.apache.geode.management.GemFireProperties

-     public class GemFireProperties
      extends Object

  Composite Data type to be used by member to depict gemfire properties in key value manner
  Since:
    GemFire 7.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GemFireProperties()` This constructor is to be used by internal JMX framework only.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAckSevereAlertThreshold()`
    `int` | `getAckWaitThreshold()`
    `int` | `getArchiveDiskSpaceLimit()`
    `int` | `getArchiveFileSizeLimit()`
    `int` | `getAsyncDistributionTimeout()`
    `int` | `getAsyncMaxQueueSize()`
    `int` | `getAsyncQueueTimeout()`
    `String` | `getBindAddress()`
    `String` | `getCacheXMLFile()`
    `String` | `getClientConflation()`
    `String` | `getClusterSSLAlias()`
    `String` | `getClusterSSLCiphers()`
    `String` | `getClusterSSLKeyStore()`
    `String` | `getClusterSSLKeyStorePassword()`
    `String` | `getClusterSSLKeyStoreType()`
    `String` | `getClusterSSLProtocols()`
    `String` | `getClusterSSLTrustStore()`
    `String` | `getClusterSSLTrustStorePassword()`
    `String` | `getConfigFile()`
    `int` | `getDepartureCorrelationWindow()`
    `boolean` | `getDistributedTransactions()`
    `String` | `getDurableClientId()`
    `int` | `getDurableClientTimeout()`
    `String` | `getGatewaySSLAlias()`
    `String` | `getGatewaySSLCiphers()`
    `String` | `getGatewaySSLKeyStore()`
    `String` | `getGatewaySSLKeyStorePassword()`
    `String` | `getGatewaySSLKeyStoreType()`
    `String` | `getGatewaySSLProtocols()`
    `String` | `getGatewaySSLTrustStore()`
    `String` | `getGatewaySSLTrustStorePassword()`
    `String` | `getHttpServiceBindAddress()`
    `int` | `getHttpServicePort()`
    `String` | `getHttpServiceSSLAlias()`
    `String` | `getHttpServiceSSLCiphers()`
    `String` | `getHttpServiceSSLKeyStore()`
    `String` | `getHttpServiceSSLKeyStorePassword()`
    `String` | `getHttpServiceSSLKeyStoreType()`
    `String` | `getHttpServiceSSLProtocols()`
    `String` | `getHttpServiceSSLTrustStore()`
    `String` | `getHttpServiceSSLTrustStorePassword()`
    `String` | `getIncludeFile()`
    `String` | `getJmxManagerAccessFile()`
    `String` | `getJmxManagerBindAddress()`
    `String` | `getJmxManagerHostnameForClients()`
    `int` | `getJmxManagerHttpPort()`
    `String` | `getJmxManagerPasswordFile()`
    `int` | `getJmxManagerPort()`
    `String` | `getJmxManagerSSLCiphers()`
    `String` | `getJmxManagerSSLKeyStore()`
    `String` | `getJmxManagerSSLKeyStorePassword()`
    `String` | `getJmxManagerSSLKeyStoreType()`
    `String` | `getJmxManagerSSLProtocols()`
    `String` | `getJmxManagerSSLTrustStore()`
    `String` | `getJmxManagerSSLTrustStorePassword()`
    `int` | `getJmxManagerUpdateRate()`
    `String` | `getJmxSSLAlias()`
    `String` | `getLocators()`
    `String` | `getLocatorSSLAlias()`
    `int` | `getLogDiskSpaceLimit()`
    `String` | `getLogFile()`
    `int` | `getLogFileSizeLimit()`
    `int` | `getLogLevel()`
    `int` | `getMaxNumReconnectTries()`
    `int` | `getMaxWaitTimeForReconnect()`
    `String` | `getMcastAddress()`
    `int` | `getMcastByteAllowance()`
    `int` | `getMcastPort()`
    `int` | `getMcastRechargeBlockMs()`
    `float` | `getMcastRechargeThreshold()`
    `int` | `getMcastRecvBufferSize()`
    `int` | `getMcastSendBufferSize()`
    `int` | `getMcastTTL()`
    `String` | `getMemberGroups()`
    `String` | `getMemberName()`
    `int[]` | `getMembershipPortRange()`
    `int` | `getMemberTimeout()`
    `String` | `getRedundancyZone()`
    `String` | `getRoles()`
    `org.apache.geode.internal.security.SecurableCommunicationChannel[]` | `getSecurableCommunicationChannel()`
    `String` | `getSecurityClientAccessor()`
    `String` | `getSecurityClientAccessorPP()`
    `String` | `getSecurityClientAuthenticator()`
    `String` | `getSecurityClientAuthInit()`
    `String` | `getSecurityClientDHAlgo()`
    `String` | `getSecurityLogFile()`
    `int` | `getSecurityLogLevel()`
    `String` | `getSecurityPeerAuthenticator()`
    `String` | `getSecurityPeerAuthInit()`
    `int` | `getSecurityPeerMembershipTimeout()`
    `String` | `getServerBindAddress()`
    `String` | `getServerSSLAlias()`
    `String` | `getServerSSLCiphers()`
    `String` | `getServerSSLKeyStore()`
    `String` | `getServerSSLKeyStorePassword()`
    `String` | `getServerSSLKeyStoreType()`
    `String` | `getServerSSLProtocols()`
    `String` | `getServerSSLTrustStore()`
    `String` | `getServerSSLTrustStorePassword()`
    `int` | `getSocketBufferSize()`
    `int` | `getSocketLeaseTime()`
    `String` | `getSSLCiphers()`
    `String` | `getSSLDefaultAlias()`
    `String` | `getSSLKeyStore()`
    `String` | `getSSLKeyStorePassword()`
    `String` | `getSSLKeyStoreType()`
    `String` | `getSSLProtocols()`
    `String` | `getSSLTrustStore()`
    `String` | `getSSLTrustStorePassword()`
    `String` | `getSSLTrustStoreType()`
    `boolean` | `getSSLWebServiceRequireAuthentication()`
    `boolean` | `getStartDevRestApi()`
    `String` | `getStartLocator()`
    `String` | `getStatisticArchiveFile()`
    `int` | `getStatisticSampleRate()`
    `int` | `getTcpPort()`
    `int` | `getUdpFragmentSize()`
    `int` | `getUdpRecvBufferSize()`
    `int` | `getUdpSendBufferSize()`
    `boolean` | `isClusterSSLEnabled()`
    `boolean` | `isClusterSSLRequireAuthentication()`
    `boolean` | `isConserveSockets()`
    `boolean` | `isDeltaPropagation()`
    `boolean` | `isDisableTcp()`
    `boolean` | `isEnableNetworkPartitionDetection()`
    `boolean` | `isEnableTimeStatistics()`
    `boolean` | `isEnforceUniqueHost()`
    `boolean` | `isGatewaySSLEnabled()`
    `boolean` | `isGatewaySSLRequireAuthentication()`
    `boolean` | `isHttpServiceSSLEnabled()`
    `boolean` | `isHttpServiceSSLRequireAuthentication()`
    `boolean` | `isJmxManager()`
    `boolean` | `isJmxManagerSSL()`
    `boolean` | `isJmxManagerSSLEnabled()`
    `boolean` | `isJmxManagerSSLRequireAuthentication()`
    `boolean` | `isJmxManagerStart()`
    `boolean` | `isRemoveUnresponsiveClient()`
    `boolean` | `isServerSSLEnabled()`
    `boolean` | `isServerSSLRequireAuthentication()`
    `boolean` | `isSSLRequireAuthentication()`
    `boolean` | `isStatisticSamplingEnabled()`
    `void` | `setAckSevereAlertThreshold(int ackSevereAlertThreshold)`
    `void` | `setAckWaitThreshold(int ackWaitThreshold)`
    `void` | `setArchiveDiskSpaceLimit(int archiveDiskSpaceLimit)`
    `void` | `setArchiveFileSizeLimit(int archiveFileSizeLimit)`
    `void` | `setAsyncDistributionTimeout(int asyncDistributionTimeout)`
    `void` | `setAsyncMaxQueueSize(int asyncMaxQueueSize)`
    `void` | `setAsyncQueueTimeout(int asyncQueueTimeout)`
    `void` | `setBindAddress(String bindAddress)`
    `void` | `setCacheXMLFile(String cacheXMLFile)`
    `void` | `setClientConflation(String clientConflation)`
    `void` | `setClusterSSLAlias(String clusterSSLAlias)`
    `void` | `setClusterSSLCiphers(String clusterSSLCiphers)`
    `void` | `setClusterSSLEnabled(boolean clusterSSLEnabled)`
    `void` | `setClusterSSLKeyStore(String clusterSSLKeyStore)`
    `void` | `setClusterSSLKeyStorePassword(String clusterSSLKeyStorePassword)`
    `void` | `setClusterSSLKeyStoreType(String clusterSSLKeyStoreType)`
    `void` | `setClusterSSLProtocols(String clusterSSLProtocols)`
    `void` | `setClusterSSLRequireAuthentication(boolean clusterSSLRequireAuthentication)`
    `void` | `setClusterSSLTrustStore(String clusterSSLTrustStore)`
    `void` | `setClusterSSLTrustStorePassword(String clusterSSLTrustStorePassword)`
    `void` | `setConfigFile(String configFile)`
    `void` | `setConserveSockets(boolean conserveSockets)`
    `void` | `setDeltaPropagation(boolean deltaPropagation)`
    `void` | `setDepartureCorrelationWindow(int departureCorrelationWindow)`
    `void` | `setDisableTcp(boolean disableTcp)`
    `void` | `setDistributedTransactions(boolean value)`
    `void` | `setDurableClientId(String durableClientId)`
    `void` | `setDurableClientTimeout(int durableClientTimeout)`
    `void` | `setEnableNetworkPartitionDetection(boolean enableNetworkPartitionDetection)`
    `void` | `setEnableTimeStatistics(boolean enableTimeStatistics)`
    `void` | `setEnforceUniqueHost(boolean enforceUniqueHost)`
    `void` | `setGatewaySSLAlias(String gatewaySSLAlias)`
    `void` | `setGatewaySSLCiphers(String gatewaySSLCiphers)`
    `void` | `setGatewaySSLEnabled(boolean gatewaySSLEnabled)`
    `void` | `setGatewaySSLKeyStore(String gatewaySSLKeyStore)`
    `void` | `setGatewaySSLKeyStorePassword(String gatewaySSLKeyStorePassword)`
    `void` | `setGatewaySSLKeyStoreType(String gatewaySSLKeyStoreType)`
    `void` | `setGatewaySSLProtocols(String gatewaySSLProtocols)`
    `void` | `setGatewaySSLRequireAuthentication(boolean gatewaySSLRequireAuthentication)`
    `void` | `setGatewaySSLTrustStore(String gatewaySSLTrustStore)`
    `void` | `setGatewaySSLTrustStorePassword(String gatewaySSLTrustStorePassword)`
    `void` | `setHttpServiceBindAddress(String httpServiceBindAddress)`
    `void` | `setHttpServicePort(int httpServicePort)`
    `void` | `setHttpServiceSSLAlias(String httpServiceSSLAlias)`
    `void` | `setHttpServiceSSLCiphers(String httpServiceSSLCiphers)`
    `void` | `setHttpServiceSSLEnabled(boolean httpServiceSSLEnabled)`
    `void` | `setHttpServiceSSLKeyStore(String httpServiceSSLKeyStore)`
    `void` | `setHttpServiceSSLKeyStorePassword(String httpServiceSSLKeyStorePassword)`
    `void` | `setHttpServiceSSLKeyStoreType(String httpServiceSSLKeyStoreType)`
    `void` | `setHttpServiceSSLProtocols(String httpServiceSSLProtocols)`
    `void` | `setHttpServiceSSLRequireAuthentication(boolean httpServiceSSLRequireAuthentication)`
    `void` | `setHttpServiceSSLTrustStore(String httpServiceSSLTrustStore)`
    `void` | `setHttpServiceSSLTrustStorePassword(String httpServiceSSLTrustStorePassword)`
    `void` | `setIncludeFile(String includeFile)`
    `void` | `setJmxManager(boolean jmxManager)`
    `void` | `setJmxManagerAccessFile(String jmxManagerAccessFile)`
    `void` | `setJmxManagerBindAddress(String jmxManagerBindAddress)`
    `void` | `setJmxManagerHostnameForClients(String jmxManagerHostnameForClients)`
    `void` | `setJmxManagerHttpPort(int jmxManagerHttpPort)`
    `void` | `setJmxManagerPasswordFile(String jmxManagerPasswordFile)`
    `void` | `setJmxManagerPort(int jmxManagerPort)`
    `void` | `setJmxManagerSSL(boolean jmxManagerSSL)`
    `void` | `setJmxManagerSSLCiphers(String jmxManagerSSLCiphers)`
    `void` | `setJmxManagerSSLEnabled(boolean jmxManagerSSLEnabled)`
    `void` | `setJmxManagerSSLKeyStore(String jmxManagerSSLKeyStore)`
    `void` | `setJmxManagerSSLKeyStorePassword(String jmxManagerSSLKeyStorePassword)`
    `void` | `setJmxManagerSSLKeyStoreType(String jmxManagerSSLKeyStoreType)`
    `void` | `setJmxManagerSSLProtocols(String jmxManagerSSLProtocols)`
    `void` | `setJmxManagerSSLRequireAuthentication(boolean jmxManagerSSLRequireAuthentication)`
    `void` | `setJmxManagerSSLTrustStore(String jmxManagerSSLTrustStore)`
    `void` | `setJmxManagerSSLTrustStorePassword(String jmxManagerSSLTrustStorePassword)`
    `void` | `setJmxManagerStart(boolean jmxManagerStart)`
    `void` | `setJmxManagerUpdateRate(int jmxManagerUpdateRate)`
    `void` | `setJmxSSLAlias(String jmxSSLAlias)`
    `void` | `setLocators(String locators)`
    `void` | `setLocatorSSLAlias(String locatorSSLAlias)`
    `void` | `setLogDiskSpaceLimit(int logDiskSpaceLimit)`
    `void` | `setLogFile(String logFile)`
    `void` | `setLogFileSizeLimit(int logFileSizeLimit)`
    `void` | `setLogLevel(int logLevel)`
    `void` | `setMaxNumReconnectTries(int maxNumReconnectTries)`
    `void` | `setMaxWaitTimeForReconnect(int maxWaitTimeForReconnect)`
    `void` | `setMcastAddress(String mcastAddress)`
    `void` | `setMcastByteAllowance(int mcastByteAllowance)`
    `void` | `setMcastPort(int mcastPort)`
    `void` | `setMcastRechargeBlockMs(int mcastRechargeBlockMs)`
    `void` | `setMcastRechargeThreshold(float mcastRechargeThreshold)`
    `void` | `setMcastRecvBufferSize(int mcastRecvBufferSize)`
    `void` | `setMcastSendBufferSize(int mcastSendBufferSize)`
    `void` | `setMcastTTL(int mcastTTL)`
    `void` | `setMemberGroups(String memberGroups)`
    `void` | `setMemberName(String memberName)`
    `void` | `setMembershipPortRange(int[] membershipPortRange)`
    `void` | `setMemberTimeout(int memberTimeout)`
    `void` | `setRedundancyZone(String redundancyZone)`
    `void` | `setRemoveUnresponsiveClient(boolean removeUnresponsiveClient)`
    `void` | `setRoles(String roles)`
    `void` | `setSecurableCommunicationChannel(org.apache.geode.internal.security.SecurableCommunicationChannel[] sslEnabledComponents)`
    `void` | `setSecurityClientAccessor(String securityClientAccessor)`
    `void` | `setSecurityClientAccessorPP(String securityClientAccessorPP)`
    `void` | `setSecurityClientAuthenticator(String securityClientAuthenticator)`
    `void` | `setSecurityClientAuthInit(String securityClientAuthInit)`
    `void` | `setSecurityClientDHAlgo(String securityClientDHAlgo)`
    `void` | `setSecurityLogFile(String securityLogFile)`
    `void` | `setSecurityLogLevel(int securityLogLevel)`
    `void` | `setSecurityPeerAuthenticator(String securityPeerAuthenticator)`
    `void` | `setSecurityPeerAuthInit(String securityPeerAuthInit)`
    `void` | `setSecurityPeerMembershipTimeout(int securityPeerMembershipTimeout)`
    `void` | `setServerBindAddress(String serverBindAddress)`
    `void` | `setServerSSLAlias(String serverSSLAlias)`
    `void` | `setServerSSLCiphers(String serverSSLCiphers)`
    `void` | `setServerSSLEnabled(boolean serverSSLEnabled)`
    `void` | `setServerSSLKeyStore(String serverSSLKeyStore)`
    `void` | `setServerSSLKeyStorePassword(String serverSSLKeyStorePassword)`
    `void` | `setServerSSLKeyStoreType(String serverSSLKeyStoreType)`
    `void` | `setServerSSLProtocols(String serverSSLProtocols)`
    `void` | `setServerSSLRequireAuthentication(boolean serverSSLRequireAuthentication)`
    `void` | `setServerSSLTrustStore(String serverSSLTrustStore)`
    `void` | `setServerSSLTrustStorePassword(String serverSSLTrustStorePassword)`
    `void` | `setSocketBufferSize(int socketBufferSize)`
    `void` | `setSocketLeaseTime(int socketLeaseTime)`
    `void` | `setSSLCiphers(String sslCiphers)`
    `void` | `setSSLDefaultAlias(String sslDefaultAlias)`
    `void` | `setSSLKeyStore(String sslKeyStore)`
    `void` | `setSSLKeyStorePassword(String sslKeyStorePassword)`
    `void` | `setSSLKeyStoreType(String sslKeyStoreType)`
    `void` | `setSSLProtocols(String sslProtocols)`
    `void` | `setSSLRequireAuthentication(boolean sslRequireAuthentication)`
    `void` | `setSSLTrustStore(String sslTrustStore)`
    `void` | `setSSLTrustStorePassword(String sslTrustStorePassword)`
    `void` | `setSSLTrustStoreType(String sslTrustStoreType)`
    `void` | `setSSLWebServiceRequireAuthentication(boolean sslWebServiceRequireAuthentication)`
    `void` | `setStartDevRestApi(boolean startDevRestApi)`
    `void` | `setStartLocator(String startLocator)`
    `void` | `setStatisticArchiveFile(String statisticArchiveFile)`
    `void` | `setStatisticSampleRate(int statisticSampleRate)`
    `void` | `setStatisticSamplingEnabled(boolean statisticSamplingEnabled)`
    `void` | `setTcpPort(int tcpPort)`
    `void` | `setUdpFragmentSize(int udpFragmentSize)`
    `void` | `setUdpRecvBufferSize(int udpRecvBufferSize)`
    `void` | `setUdpSendBufferSize(int udpSendBufferSize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GemFireProperties

          public GemFireProperties()

      This constructor is to be used by internal JMX framework only. User should not try to create an instance of this class.

  - ### Method Detail

    - #### getMemberName

          public String getMemberName()

    - #### getMemberGroups

          public String getMemberGroups()

    - #### getMcastPort

          public int getMcastPort()

    - #### getMcastAddress

          public String getMcastAddress()

    - #### getBindAddress

          public String getBindAddress()

    - #### getTcpPort

          public int getTcpPort()

    - #### getCacheXMLFile

          public String getCacheXMLFile()

    - #### getConfigFile

          public String getConfigFile()

    - #### getMcastTTL

          public int getMcastTTL()

    - #### getServerBindAddress

          public String getServerBindAddress()

    - #### getLocators

          public String getLocators()

    - #### getStartLocator

          public String getStartLocator()

    - #### getLogFile

          public String getLogFile()

    - #### getLogLevel

          public int getLogLevel()

    - #### isStatisticSamplingEnabled

          public boolean isStatisticSamplingEnabled()

    - #### getStatisticArchiveFile

          public String getStatisticArchiveFile()

    - #### getIncludeFile

          public String getIncludeFile()

    - #### getAckWaitThreshold

          public int getAckWaitThreshold()

    - #### getAckSevereAlertThreshold

          public int getAckSevereAlertThreshold()

    - #### getArchiveFileSizeLimit

          public int getArchiveFileSizeLimit()

    - #### getArchiveDiskSpaceLimit

          public int getArchiveDiskSpaceLimit()

    - #### getLogFileSizeLimit

          public int getLogFileSizeLimit()

    - #### getLogDiskSpaceLimit

          public int getLogDiskSpaceLimit()

    - #### getSocketLeaseTime

          public int getSocketLeaseTime()

    - #### getSocketBufferSize

          public int getSocketBufferSize()

    - #### getMcastSendBufferSize

          public int getMcastSendBufferSize()

    - #### getMcastRecvBufferSize

          public int getMcastRecvBufferSize()

    - #### getMcastByteAllowance

          public int getMcastByteAllowance()

    - #### getMcastRechargeThreshold

          public float getMcastRechargeThreshold()

    - #### getMcastRechargeBlockMs

          public int getMcastRechargeBlockMs()

    - #### getUdpFragmentSize

          public int getUdpFragmentSize()

    - #### getUdpSendBufferSize

          public int getUdpSendBufferSize()

    - #### getUdpRecvBufferSize

          public int getUdpRecvBufferSize()

    - #### isDisableTcp

          public boolean isDisableTcp()

    - #### isEnableTimeStatistics

          public boolean isEnableTimeStatistics()

    - #### isEnableNetworkPartitionDetection

          public boolean isEnableNetworkPartitionDetection()

    - #### getDepartureCorrelationWindow

          public int getDepartureCorrelationWindow()

    - #### getMemberTimeout

          public int getMemberTimeout()

    - #### getMembershipPortRange

          public int[] getMembershipPortRange()

    - #### isConserveSockets

          public boolean isConserveSockets()

    - #### getRoles

          public String getRoles()

    - #### getMaxWaitTimeForReconnect

          public int getMaxWaitTimeForReconnect()

    - #### getMaxNumReconnectTries

          public int getMaxNumReconnectTries()

    - #### getAsyncDistributionTimeout

          public int getAsyncDistributionTimeout()

    - #### getAsyncQueueTimeout

          public int getAsyncQueueTimeout()

    - #### getAsyncMaxQueueSize

          public int getAsyncMaxQueueSize()

    - #### getClientConflation

          public String getClientConflation()

    - #### getDurableClientId

          public String getDurableClientId()

    - #### getDurableClientTimeout

          public int getDurableClientTimeout()

    - #### getSecurityClientAuthInit

          public String getSecurityClientAuthInit()

    - #### getSecurityClientAuthenticator

          public String getSecurityClientAuthenticator()

    - #### getSecurityClientDHAlgo

          public String getSecurityClientDHAlgo()

    - #### getSecurityPeerAuthInit

          public String getSecurityPeerAuthInit()

    - #### getSecurityPeerAuthenticator

          public String getSecurityPeerAuthenticator()

    - #### getSecurityClientAccessor

          public String getSecurityClientAccessor()

    - #### getSecurityClientAccessorPP

          public String getSecurityClientAccessorPP()

    - #### getSecurityLogLevel

          public int getSecurityLogLevel()

    - #### getSecurityLogFile

          public String getSecurityLogFile()

    - #### getSecurityPeerMembershipTimeout

          public int getSecurityPeerMembershipTimeout()

    - #### isRemoveUnresponsiveClient

          public boolean isRemoveUnresponsiveClient()

    - #### isDeltaPropagation

          public boolean isDeltaPropagation()

    - #### getRedundancyZone

          public String getRedundancyZone()

    - #### isEnforceUniqueHost

          public boolean isEnforceUniqueHost()

    - #### getStatisticSampleRate

          public int getStatisticSampleRate()

    - #### setMemberName

          public void setMemberName(String memberName)

    - #### setMemberGroups

          public void setMemberGroups(String memberGroups)

    - #### setMcastPort

          public void setMcastPort(int mcastPort)

    - #### setMcastAddress

          public void setMcastAddress(String mcastAddress)

    - #### setBindAddress

          public void setBindAddress(String bindAddress)

    - #### setTcpPort

          public void setTcpPort(int tcpPort)

    - #### setCacheXMLFile

          public void setCacheXMLFile(String cacheXMLFile)

    - #### setConfigFile

          public void setConfigFile(String configFile)

    - #### setMcastTTL

          public void setMcastTTL(int mcastTTL)

    - #### setServerBindAddress

          public void setServerBindAddress(String serverBindAddress)

    - #### setLocators

          public void setLocators(String locators)

    - #### setStartLocator

          public void setStartLocator(String startLocator)

    - #### setLogFile

          public void setLogFile(String logFile)

    - #### setLogLevel

          public void setLogLevel(int logLevel)

    - #### setStatisticSamplingEnabled

          public void setStatisticSamplingEnabled(boolean statisticSamplingEnabled)

    - #### setStatisticArchiveFile

          public void setStatisticArchiveFile(String statisticArchiveFile)

    - #### setIncludeFile

          public void setIncludeFile(String includeFile)

    - #### setAckWaitThreshold

          public void setAckWaitThreshold(int ackWaitThreshold)

    - #### setAckSevereAlertThreshold

          public void setAckSevereAlertThreshold(int ackSevereAlertThreshold)

    - #### setArchiveFileSizeLimit

          public void setArchiveFileSizeLimit(int archiveFileSizeLimit)

    - #### setArchiveDiskSpaceLimit

          public void setArchiveDiskSpaceLimit(int archiveDiskSpaceLimit)

    - #### setLogFileSizeLimit

          public void setLogFileSizeLimit(int logFileSizeLimit)

    - #### setLogDiskSpaceLimit

          public void setLogDiskSpaceLimit(int logDiskSpaceLimit)

    - #### setSocketLeaseTime

          public void setSocketLeaseTime(int socketLeaseTime)

    - #### setSocketBufferSize

          public void setSocketBufferSize(int socketBufferSize)

    - #### setMcastSendBufferSize

          public void setMcastSendBufferSize(int mcastSendBufferSize)

    - #### setMcastRecvBufferSize

          public void setMcastRecvBufferSize(int mcastRecvBufferSize)

    - #### setMcastByteAllowance

          public void setMcastByteAllowance(int mcastByteAllowance)

    - #### setMcastRechargeThreshold

          public void setMcastRechargeThreshold(float mcastRechargeThreshold)

    - #### setMcastRechargeBlockMs

          public void setMcastRechargeBlockMs(int mcastRechargeBlockMs)

    - #### setUdpFragmentSize

          public void setUdpFragmentSize(int udpFragmentSize)

    - #### setUdpSendBufferSize

          public void setUdpSendBufferSize(int udpSendBufferSize)

    - #### setUdpRecvBufferSize

          public void setUdpRecvBufferSize(int udpRecvBufferSize)

    - #### setDisableTcp

          public void setDisableTcp(boolean disableTcp)

    - #### setEnableTimeStatistics

          public void setEnableTimeStatistics(boolean enableTimeStatistics)

    - #### setEnableNetworkPartitionDetection

          public void setEnableNetworkPartitionDetection(boolean enableNetworkPartitionDetection)

    - #### setDepartureCorrelationWindow

          public void setDepartureCorrelationWindow(int departureCorrelationWindow)

    - #### setMemberTimeout

          public void setMemberTimeout(int memberTimeout)

    - #### setMembershipPortRange

          public void setMembershipPortRange(int[] membershipPortRange)

    - #### setConserveSockets

          public void setConserveSockets(boolean conserveSockets)

    - #### setRoles

          public void setRoles(String roles)

    - #### setMaxWaitTimeForReconnect

          public void setMaxWaitTimeForReconnect(int maxWaitTimeForReconnect)

    - #### setMaxNumReconnectTries

          public void setMaxNumReconnectTries(int maxNumReconnectTries)

    - #### setAsyncDistributionTimeout

          public void setAsyncDistributionTimeout(int asyncDistributionTimeout)

    - #### setAsyncQueueTimeout

          public void setAsyncQueueTimeout(int asyncQueueTimeout)

    - #### setAsyncMaxQueueSize

          public void setAsyncMaxQueueSize(int asyncMaxQueueSize)

    - #### setClientConflation

          public void setClientConflation(String clientConflation)

    - #### setDurableClientId

          public void setDurableClientId(String durableClientId)

    - #### setDurableClientTimeout

          public void setDurableClientTimeout(int durableClientTimeout)

    - #### setSecurityClientAuthInit

          public void setSecurityClientAuthInit(String securityClientAuthInit)

    - #### setSecurityClientAuthenticator

          public void setSecurityClientAuthenticator(String securityClientAuthenticator)

    - #### setSecurityClientDHAlgo

          public void setSecurityClientDHAlgo(String securityClientDHAlgo)

    - #### setSecurityPeerAuthInit

          public void setSecurityPeerAuthInit(String securityPeerAuthInit)

    - #### setSecurityPeerAuthenticator

          public void setSecurityPeerAuthenticator(String securityPeerAuthenticator)

    - #### setSecurityClientAccessor

          public void setSecurityClientAccessor(String securityClientAccessor)

    - #### setSecurityClientAccessorPP

          public void setSecurityClientAccessorPP(String securityClientAccessorPP)

    - #### setSecurityLogLevel

          public void setSecurityLogLevel(int securityLogLevel)

    - #### setSecurityLogFile

          public void setSecurityLogFile(String securityLogFile)

    - #### setSecurityPeerMembershipTimeout

          public void setSecurityPeerMembershipTimeout(int securityPeerMembershipTimeout)

    - #### setRemoveUnresponsiveClient

          public void setRemoveUnresponsiveClient(boolean removeUnresponsiveClient)

    - #### setDeltaPropagation

          public void setDeltaPropagation(boolean deltaPropagation)

    - #### setRedundancyZone

          public void setRedundancyZone(String redundancyZone)

    - #### setEnforceUniqueHost

          public void setEnforceUniqueHost(boolean enforceUniqueHost)

    - #### setStatisticSampleRate

          public void setStatisticSampleRate(int statisticSampleRate)

    - #### isJmxManager

          public boolean isJmxManager()

    - #### setJmxManager

          public void setJmxManager(boolean jmxManager)

    - #### isJmxManagerStart

          public boolean isJmxManagerStart()

    - #### setJmxManagerStart

          public void setJmxManagerStart(boolean jmxManagerStart)

    - #### isJmxManagerSSL

          public boolean isJmxManagerSSL()

    - #### setJmxManagerSSL

          public void setJmxManagerSSL(boolean jmxManagerSSL)

    - #### getJmxManagerPort

          public int getJmxManagerPort()

    - #### setJmxManagerPort

          public void setJmxManagerPort(int jmxManagerPort)

    - #### getJmxManagerBindAddress

          public String getJmxManagerBindAddress()

    - #### setJmxManagerBindAddress

          public void setJmxManagerBindAddress(String jmxManagerBindAddress)

    - #### getJmxManagerHostnameForClients

          public String getJmxManagerHostnameForClients()

    - #### setJmxManagerHostnameForClients

          public void setJmxManagerHostnameForClients(String jmxManagerHostnameForClients)

    - #### getJmxManagerPasswordFile

          public String getJmxManagerPasswordFile()

    - #### setJmxManagerPasswordFile

          public void setJmxManagerPasswordFile(String jmxManagerPasswordFile)

    - #### getJmxManagerAccessFile

          public String getJmxManagerAccessFile()

    - #### setJmxManagerAccessFile

          public void setJmxManagerAccessFile(String jmxManagerAccessFile)

    - #### getJmxManagerHttpPort

          public int getJmxManagerHttpPort()

    - #### setJmxManagerHttpPort

          public void setJmxManagerHttpPort(int jmxManagerHttpPort)

    - #### getHttpServicePort

          public int getHttpServicePort()

    - #### setHttpServicePort

          public void setHttpServicePort(int httpServicePort)

    - #### getHttpServiceBindAddress

          public String getHttpServiceBindAddress()

    - #### setHttpServiceBindAddress

          public void setHttpServiceBindAddress(String httpServiceBindAddress)

    - #### getStartDevRestApi

          public boolean getStartDevRestApi()

    - #### setStartDevRestApi

          public void setStartDevRestApi(boolean startDevRestApi)

    - #### getJmxManagerUpdateRate

          public int getJmxManagerUpdateRate()

    - #### setJmxManagerUpdateRate

          public void setJmxManagerUpdateRate(int jmxManagerUpdateRate)

    - #### isJmxManagerSSLEnabled

          public boolean isJmxManagerSSLEnabled()

    - #### setJmxManagerSSLEnabled

          public void setJmxManagerSSLEnabled(boolean jmxManagerSSLEnabled)

    - #### getJmxManagerSSLProtocols

          public String getJmxManagerSSLProtocols()

    - #### setJmxManagerSSLProtocols

          public void setJmxManagerSSLProtocols(String jmxManagerSSLProtocols)

    - #### getJmxManagerSSLCiphers

          public String getJmxManagerSSLCiphers()

    - #### setJmxManagerSSLCiphers

          public void setJmxManagerSSLCiphers(String jmxManagerSSLCiphers)

    - #### isJmxManagerSSLRequireAuthentication

          public boolean isJmxManagerSSLRequireAuthentication()

    - #### setJmxManagerSSLRequireAuthentication

          public void setJmxManagerSSLRequireAuthentication(boolean jmxManagerSSLRequireAuthentication)

    - #### getJmxManagerSSLKeyStore

          public String getJmxManagerSSLKeyStore()

    - #### setJmxManagerSSLKeyStore

          public void setJmxManagerSSLKeyStore(String jmxManagerSSLKeyStore)

    - #### getJmxManagerSSLKeyStoreType

          public String getJmxManagerSSLKeyStoreType()

    - #### setJmxManagerSSLKeyStoreType

          public void setJmxManagerSSLKeyStoreType(String jmxManagerSSLKeyStoreType)

    - #### getJmxManagerSSLKeyStorePassword

          public String getJmxManagerSSLKeyStorePassword()

    - #### setJmxManagerSSLKeyStorePassword

          public void setJmxManagerSSLKeyStorePassword(String jmxManagerSSLKeyStorePassword)

    - #### getJmxManagerSSLTrustStore

          public String getJmxManagerSSLTrustStore()

    - #### setJmxManagerSSLTrustStore

          public void setJmxManagerSSLTrustStore(String jmxManagerSSLTrustStore)

    - #### getJmxManagerSSLTrustStorePassword

          public String getJmxManagerSSLTrustStorePassword()

    - #### setJmxManagerSSLTrustStorePassword

          public void setJmxManagerSSLTrustStorePassword(String jmxManagerSSLTrustStorePassword)

    - #### isClusterSSLEnabled

          public boolean isClusterSSLEnabled()

    - #### setClusterSSLEnabled

          public void setClusterSSLEnabled(boolean clusterSSLEnabled)

    - #### getClusterSSLProtocols

          public String getClusterSSLProtocols()

    - #### setClusterSSLProtocols

          public void setClusterSSLProtocols(String clusterSSLProtocols)

    - #### getClusterSSLCiphers

          public String getClusterSSLCiphers()

    - #### setClusterSSLCiphers

          public void setClusterSSLCiphers(String clusterSSLCiphers)

    - #### isClusterSSLRequireAuthentication

          public boolean isClusterSSLRequireAuthentication()

    - #### setClusterSSLRequireAuthentication

          public void setClusterSSLRequireAuthentication(boolean clusterSSLRequireAuthentication)

    - #### getClusterSSLKeyStore

          public String getClusterSSLKeyStore()

    - #### setClusterSSLKeyStore

          public void setClusterSSLKeyStore(String clusterSSLKeyStore)

    - #### getClusterSSLKeyStoreType

          public String getClusterSSLKeyStoreType()

    - #### setClusterSSLKeyStoreType

          public void setClusterSSLKeyStoreType(String clusterSSLKeyStoreType)

    - #### getClusterSSLKeyStorePassword

          public String getClusterSSLKeyStorePassword()

    - #### setClusterSSLKeyStorePassword

          public void setClusterSSLKeyStorePassword(String clusterSSLKeyStorePassword)

    - #### getClusterSSLTrustStore

          public String getClusterSSLTrustStore()

    - #### setClusterSSLTrustStore

          public void setClusterSSLTrustStore(String clusterSSLTrustStore)

    - #### getClusterSSLTrustStorePassword

          public String getClusterSSLTrustStorePassword()

    - #### setClusterSSLTrustStorePassword

          public void setClusterSSLTrustStorePassword(String clusterSSLTrustStorePassword)

    - #### isServerSSLEnabled

          public boolean isServerSSLEnabled()

    - #### setServerSSLEnabled

          public void setServerSSLEnabled(boolean serverSSLEnabled)

    - #### getServerSSLProtocols

          public String getServerSSLProtocols()

    - #### setServerSSLProtocols

          public void setServerSSLProtocols(String serverSSLProtocols)

    - #### getServerSSLCiphers

          public String getServerSSLCiphers()

    - #### setServerSSLCiphers

          public void setServerSSLCiphers(String serverSSLCiphers)

    - #### isServerSSLRequireAuthentication

          public boolean isServerSSLRequireAuthentication()

    - #### setServerSSLRequireAuthentication

          public void setServerSSLRequireAuthentication(boolean serverSSLRequireAuthentication)

    - #### getServerSSLKeyStore

          public String getServerSSLKeyStore()

    - #### setServerSSLKeyStore

          public void setServerSSLKeyStore(String serverSSLKeyStore)

    - #### getServerSSLKeyStoreType

          public String getServerSSLKeyStoreType()

    - #### setServerSSLKeyStoreType

          public void setServerSSLKeyStoreType(String serverSSLKeyStoreType)

    - #### getServerSSLKeyStorePassword

          public String getServerSSLKeyStorePassword()

    - #### setServerSSLKeyStorePassword

          public void setServerSSLKeyStorePassword(String serverSSLKeyStorePassword)

    - #### getServerSSLTrustStore

          public String getServerSSLTrustStore()

    - #### setServerSSLTrustStore

          public void setServerSSLTrustStore(String serverSSLTrustStore)

    - #### getServerSSLTrustStorePassword

          public String getServerSSLTrustStorePassword()

    - #### setServerSSLTrustStorePassword

          public void setServerSSLTrustStorePassword(String serverSSLTrustStorePassword)

    - #### isGatewaySSLEnabled

          public boolean isGatewaySSLEnabled()

    - #### setGatewaySSLEnabled

          public void setGatewaySSLEnabled(boolean gatewaySSLEnabled)

    - #### getGatewaySSLProtocols

          public String getGatewaySSLProtocols()

    - #### setGatewaySSLProtocols

          public void setGatewaySSLProtocols(String gatewaySSLProtocols)

    - #### getGatewaySSLCiphers

          public String getGatewaySSLCiphers()

    - #### setGatewaySSLCiphers

          public void setGatewaySSLCiphers(String gatewaySSLCiphers)

    - #### isGatewaySSLRequireAuthentication

          public boolean isGatewaySSLRequireAuthentication()

    - #### setGatewaySSLRequireAuthentication

          public void setGatewaySSLRequireAuthentication(boolean gatewaySSLRequireAuthentication)

    - #### getGatewaySSLKeyStore

          public String getGatewaySSLKeyStore()

    - #### setGatewaySSLKeyStore

          public void setGatewaySSLKeyStore(String gatewaySSLKeyStore)

    - #### getGatewaySSLKeyStoreType

          public String getGatewaySSLKeyStoreType()

    - #### setGatewaySSLKeyStoreType

          public void setGatewaySSLKeyStoreType(String gatewaySSLKeyStoreType)

    - #### getGatewaySSLKeyStorePassword

          public String getGatewaySSLKeyStorePassword()

    - #### setGatewaySSLKeyStorePassword

          public void setGatewaySSLKeyStorePassword(String gatewaySSLKeyStorePassword)

    - #### getGatewaySSLTrustStore

          public String getGatewaySSLTrustStore()

    - #### setGatewaySSLTrustStore

          public void setGatewaySSLTrustStore(String gatewaySSLTrustStore)

    - #### getGatewaySSLTrustStorePassword

          public String getGatewaySSLTrustStorePassword()

    - #### setGatewaySSLTrustStorePassword

          public void setGatewaySSLTrustStorePassword(String gatewaySSLTrustStorePassword)

    - #### isHttpServiceSSLEnabled

          public boolean isHttpServiceSSLEnabled()

    - #### setHttpServiceSSLEnabled

          public void setHttpServiceSSLEnabled(boolean httpServiceSSLEnabled)

    - #### isHttpServiceSSLRequireAuthentication

          public boolean isHttpServiceSSLRequireAuthentication()

    - #### setHttpServiceSSLRequireAuthentication

          public void setHttpServiceSSLRequireAuthentication(boolean httpServiceSSLRequireAuthentication)

    - #### getHttpServiceSSLProtocols

          public String getHttpServiceSSLProtocols()

    - #### setHttpServiceSSLProtocols

          public void setHttpServiceSSLProtocols(String httpServiceSSLProtocols)

    - #### getHttpServiceSSLCiphers

          public String getHttpServiceSSLCiphers()

    - #### setHttpServiceSSLCiphers

          public void setHttpServiceSSLCiphers(String httpServiceSSLCiphers)

    - #### getHttpServiceSSLKeyStore

          public String getHttpServiceSSLKeyStore()

    - #### setHttpServiceSSLKeyStore

          public void setHttpServiceSSLKeyStore(String httpServiceSSLKeyStore)

    - #### getHttpServiceSSLKeyStoreType

          public String getHttpServiceSSLKeyStoreType()

    - #### setHttpServiceSSLKeyStoreType

          public void setHttpServiceSSLKeyStoreType(String httpServiceSSLKeyStoreType)

    - #### getHttpServiceSSLKeyStorePassword

          public String getHttpServiceSSLKeyStorePassword()

    - #### setHttpServiceSSLKeyStorePassword

          public void setHttpServiceSSLKeyStorePassword(String httpServiceSSLKeyStorePassword)

    - #### getHttpServiceSSLTrustStore

          public String getHttpServiceSSLTrustStore()

    - #### setHttpServiceSSLTrustStore

          public void setHttpServiceSSLTrustStore(String httpServiceSSLTrustStore)

    - #### getHttpServiceSSLTrustStorePassword

          public String getHttpServiceSSLTrustStorePassword()

    - #### setHttpServiceSSLTrustStorePassword

          public void setHttpServiceSSLTrustStorePassword(String httpServiceSSLTrustStorePassword)

    - #### setDistributedTransactions

          public void setDistributedTransactions(boolean value)

    - #### getDistributedTransactions

          public boolean getDistributedTransactions()

    - #### getJmxSSLAlias

          public String getJmxSSLAlias()

    - #### setJmxSSLAlias

          public void setJmxSSLAlias(String jmxSSLAlias)

    - #### getClusterSSLAlias

          public String getClusterSSLAlias()

    - #### setClusterSSLAlias

          public void setClusterSSLAlias(String clusterSSLAlias)

    - #### getServerSSLAlias

          public String getServerSSLAlias()

    - #### setServerSSLAlias

          public void setServerSSLAlias(String serverSSLAlias)

    - #### getGatewaySSLAlias

          public String getGatewaySSLAlias()

    - #### setGatewaySSLAlias

          public void setGatewaySSLAlias(String gatewaySSLAlias)

    - #### getHttpServiceSSLAlias

          public String getHttpServiceSSLAlias()

    - #### setHttpServiceSSLAlias

          public void setHttpServiceSSLAlias(String httpServiceSSLAlias)

    - #### getLocatorSSLAlias

          public String getLocatorSSLAlias()

    - #### setLocatorSSLAlias

          public void setLocatorSSLAlias(String locatorSSLAlias)

    - #### getSecurableCommunicationChannel

          public org.apache.geode.internal.security.SecurableCommunicationChannel[] getSecurableCommunicationChannel()

    - #### setSecurableCommunicationChannel

          public void setSecurableCommunicationChannel(org.apache.geode.internal.security.SecurableCommunicationChannel[] sslEnabledComponents)

    - #### getSSLProtocols

          public String getSSLProtocols()

    - #### setSSLProtocols

          public void setSSLProtocols(String sslProtocols)

    - #### getSSLCiphers

          public String getSSLCiphers()

    - #### setSSLCiphers

          public void setSSLCiphers(String sslCiphers)

    - #### isSSLRequireAuthentication

          public boolean isSSLRequireAuthentication()

    - #### setSSLRequireAuthentication

          public void setSSLRequireAuthentication(boolean sslRequireAuthentication)

    - #### getSSLKeyStore

          public String getSSLKeyStore()

    - #### setSSLKeyStore

          public void setSSLKeyStore(String sslKeyStore)

    - #### getSSLKeyStoreType

          public String getSSLKeyStoreType()

    - #### setSSLKeyStoreType

          public void setSSLKeyStoreType(String sslKeyStoreType)

    - #### getSSLKeyStorePassword

          public String getSSLKeyStorePassword()

    - #### setSSLKeyStorePassword

          public void setSSLKeyStorePassword(String sslKeyStorePassword)

    - #### getSSLTrustStore

          public String getSSLTrustStore()

    - #### setSSLTrustStore

          public void setSSLTrustStore(String sslTrustStore)

    - #### getSSLTrustStorePassword

          public String getSSLTrustStorePassword()

    - #### setSSLTrustStorePassword

          public void setSSLTrustStorePassword(String sslTrustStorePassword)

    - #### getSSLTrustStoreType

          public String getSSLTrustStoreType()

    - #### setSSLTrustStoreType

          public void setSSLTrustStoreType(String sslTrustStoreType)

    - #### getSSLWebServiceRequireAuthentication

          public boolean getSSLWebServiceRequireAuthentication()

    - #### setSSLWebServiceRequireAuthentication

          public void setSSLWebServiceRequireAuthentication(boolean sslWebServiceRequireAuthentication)

    - #### getSSLDefaultAlias

          public String getSSLDefaultAlias()

    - #### setSSLDefaultAlias

          public void setSSLDefaultAlias(String sslDefaultAlias)